Pocket

Organization Members

Manage organization member roles and status

Use the members endpoint to update roles and statuses for existing organization members.

Update Member

PATCH /api/v1/organization/:orgId/members/:userId

Minimum role: admin

Updates a member's role and/or status within the organization.

Path Parameters

ParameterTypeDescription
userIdstringThe member's user ID

Request Body

FieldTypeRequiredDescription
rolestringNoNew role for the member
statusstringNoNew status for the member

Valid Roles

RoleDescription
ownerFull control including billing and org deletion
adminManage members, keys, templates, and recordings
viewerRead-only access to recordings, analytics, and templates
memberStandard access to recordings and templates

Valid Statuses

StatusDescription
activeMember can access the organization
pendingInvited but has not yet accepted
removedAccess revoked

Example Request

{
  "role": "admin",
  "status": "active"
}

Response

{
  "user_id": "usr_002",
  "email": "bob@example.com",
  "name": "Bob Martinez",
  "role": "admin",
  "status": "active",
  "updated_at": "2026-04-10T09:00:00.000Z"
}

On this page